## ros-kinetic-abb-rapid-sm-addin-msgs 0.5.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

########################################################################################################################
# Metadata
########################################################################################################################
# Read the package manifest.
file(READ "${CMAKE_CURRENT_SOURCE_DIR}/package.xml" package_xml_str)

# Extract project name.
if(NOT package_xml_str MATCHES "<name>([A-Za-z0-9_]+)</name>")
  message(FATAL_ERROR "Could not parse project name from package manifest (aborting)")
else()
  set(extracted_name ${CMAKE_MATCH_1})
endif()

# Extract project version.
if(NOT package_xml_str MATCHES "<version>([0-9]+.[0-9]+.[0-9]+)</version>")
  message(FATAL_ERROR "Could not parse project version from package manifest (aborting)")
else()
  set(extracted_version ${CMAKE_MATCH_1})
endif()

########################################################################################################################
# CMake project
########################################################################################################################
project(${extracted_name} VERSION ${extracted_version})

#===========================================================
# Dependencies
#===========================================================
#-----------------------------
# Catkin packages
#-----------------------------
find_package(catkin
  REQUIRED COMPONENTS
    abb_rapid_msgs
    message_generation
    std_msgs
)

#===========================================================
# Generate ROS interfaces
#===========================================================
add_message_files(
  FILES
    EGMActivateSettings.msg
    EGMRunSettings.msg
    EGMSettings.msg
    EGMSetupSettings.msg
    EGMStopSettings.msg
    RuntimeState.msg
    StateMachineState.msg
)

add_service_files(
  FILES
    GetEGMSettings.srv
    SetEGMSettings.srv
    SetRAPIDRoutine.srv
    SetSGCommand.srv
)

generate_messages(
  DEPENDENCIES
    abb_rapid_msgs
    std_msgs
)

#===========================================================
# Catkin package specific configurations
#===========================================================
catkin_package(
  CATKIN_DEPENDS
    abb_rapid_msgs
    message_runtime
    std_msgs
)

#===========================================================
# Install additional files
#===========================================================
install(
  FILES
    LICENSE
    README.md
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-abb-rapid-sm-addin-msgs (0.5.3-1xenial) xenial; urgency=high

  * Lower minimum required CMake version to solve build error on Kinetic (#14 <https://github.com/ros-industrial/abb_robot_driver_interfaces/issues/14>)
  * Contributors: gavanderhoorn

 -- Jon Tjerngren <jon.tjerngren@se.abb.com>  Fri, 02 Apr 2021 22:00:00 -0000

ros-kinetic-abb-rapid-sm-addin-msgs (0.5.2-1xenial) xenial; urgency=high

  * Install readme and license (#12 <https://github.com/ros-industrial/abb_robot_driver_interfaces/issues/12>)
  * Contributors: gavanderhoorn

 -- Jon Tjerngren <jon.tjerngren@se.abb.com>  Thu, 01 Apr 2021 22:00:00 -0000

ros-kinetic-abb-rapid-sm-addin-msgs (0.5.1-1xenial) xenial; urgency=high

  * No changes

 -- Jon Tjerngren <jon.tjerngren@se.abb.com>  Mon, 29 Mar 2021 22:00:00 -0000

ros-kinetic-abb-rapid-sm-addin-msgs (0.5.0-1xenial) xenial; urgency=high

  * Initial release
  * Contributors: Jon Tjerngren

 -- Jon Tjerngren <jon.tjerngren@se.abb.com>  Wed, 20 Jan 2021 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-abb-rapid-sm-addin-msgs
Section: misc
Priority: optional
Maintainer: Jon Tjerngren <jon.tjerngren@se.abb.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-abb-rapid-msgs, ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-abb-rapid-sm-addin-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-abb-rapid-msgs, ros-kinetic-message-generation, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: Provides ROS message and service definitions, representing interaction with ABB robot controllers using the RobotWare StateMachine Add-In.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-abb-rapid-sm-addin-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
